Loading...
Searching...
No Matches
_ocsd_stm_cfg Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_stm.h>`

## Public Attributes

uint32_t | reg_tcsr
uint32_t | reg_feat3r
uint32_t | reg_devid
uint32_t | reg_feat1r
uint32_t | reg_hwev_mast
hw_event_feat_t | hw_event

## Detailed Description

STM hardware configuration. Contains hardware register values at time of trace capture and HW event feature field to enable and control decode of STM trace stream.

Definition at line 142 of file trc_pkt_types_stm.h.

## Member Data Documentation

## hw_event

hw_event_feat_t _ocsd_stm_cfg::hw_event

status of HW event trace

Definition at line 150 of file trc_pkt_types_stm.h.

## reg_devid

uint32_t _ocsd_stm_cfg::reg_devid

defines number of channels per master

Definition at line 146 of file trc_pkt_types_stm.h.

## reg_feat1r

uint32_t _ocsd_stm_cfg::reg_feat1r

defines HW trace features

Definition at line 148 of file trc_pkt_types_stm.h.

## reg_feat3r

uint32_t _ocsd_stm_cfg::reg_feat3r

defines number of masters

Definition at line 145 of file trc_pkt_types_stm.h.

## reg_hwev_mast

uint32_t _ocsd_stm_cfg::reg_hwev_mast

master ID for HW event trace

Definition at line 149 of file trc_pkt_types_stm.h.

## reg_tcsr

uint32_t _ocsd_stm_cfg::reg_tcsr

Contains CoreSight trace ID, HWTEN

Definition at line 144 of file trc_pkt_types_stm.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/stm/trc_pkt_types_stm.h